#ifndef MSP_CORE_META_H_
#define MSP_CORE_META_H_

namespace Msp {

template<typename T>
struct RemoveConst
{ typedef T Type; };

template<typename T>
struct RemoveConst<const T>
{ typedef T Type; };

template<typename T>
struct RemoveReference
{ typedef T Type; };

template<typename T>
struct RemoveReference<T &>
{ typedef T Type; };

} // namespace Msp

#endif
